Bug 38523 - Dropping WinXP support
Summary: Dropping WinXP support
Status: RESOLVED FIXED
Alias: None
Product: Installers
Classification: Mono
Component: General ()
Version: 3.12
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Alexander Köplinger [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2016-02-07 10:36 UTC by Aaron
Modified: 2016-10-13 19:22 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Aaron 2016-02-07 10:36:44 UTC
Since it seems you have dropped support for WinXP ( big mistake in my opinion considering it's market share of ~11,5% for Jan 2016: https://www.netmarketshare.com/operating-system-market-share.aspx?qprid=10&qpcustomb=&qpcustomd=0&qpsp=2016&qpnp=1&qptimeframe=Y and the fact that mono was the only alternative to run .NET on it) but that's you're decision to make.

The problems from it that you still need to fix are: 
1) Users are not notified that WinXP was dropped anywhere on the site
2) No information on which is the latest WinXP compatible version is given
3) No link for downloading the latest WinXP compatible version is given on the mono download page
4) The installers for the versions after that don't check and notify the user that there OS is no-longer supported
5) Once the user try's to run a newer version of mono he is greeted with a generic error message that's no help at all
Comment 1 Rodrigo Kumpera 2016-02-08 14:20:42 UTC
Hey Alexander,

Could you address the website issue?
Comment 2 Alexander Köplinger [MSFT] 2016-10-13 19:22:52 UTC
Hey,

1) I added a notice about that to the Windows section on the download page
2) Mono 3.2.3 is the last one that works on XP: http://download.mono-project.com/archive/3.2.3/windows-installer/mono-3.2.3-gtksharp-2.12.11-win32-0.exe
3) People still using WinXP will probably find this bugzilla entry, I don't want to encourage WinXP usage on the download page
4) Checks for that were added in the .msi installer
5) fixed by 4

Thank you!